FastAPIServer(3)

NAME
FastAPIServer

SYNOPSIS

  Classes
class FastAPIServer

  Functions
str base64decode (string)
str summarize (string)
str convertDateTime (datetime timestamp)
dumps books_tojson (obj)
dumps book_tojson (book)
dumps collections_tojson (collection)

  Variables
FastAPI app = FastAPI()
Jinja2Templates templates = Jinja2Templates(directory='src/frontend/templates')
list origins
allow_origins
allow_credentials
allow_methods
allow_headers

Detailed Description

pyShelf's main frontend library.

Function Documentation

  str FastAPIServer.base64decode ( string)

Decode a base64 string.

  dumps FastAPIServer.book_tojson ( book)

Convert a book object to a json.

  dumps FastAPIServer.books_tojson ( obj)

Convert an object to a dictionary.

  dumps FastAPIServer.collections_tojson ( collection)

Convert a collections object to json.

  str FastAPIServer.convertDateTime (datetime timestamp)

Convert a datetime object to a string.

  str FastAPIServer.summarize ( string)

Summarize a string.

Variable Documentation

  FastAPIServer.allow_credentials

  FastAPIServer.allow_headers

  FastAPIServer.allow_methods

  FastAPIServer.allow_origins

  FastAPI FastAPIServer.app = FastAPI()

  list FastAPIServer.origins
Initial value:.PP
1 =  [
2     "http://localhost",
3     "http://localhost:8081",
4     "http://localhost:8080",
5     "*"
6 ]

  Jinja2Templates FastAPIServer.templates = Jinja2Templates(directory='src/frontend/templates')

Author

Generated automatically by Doxygen for pyShelf Open Source Ebook Server from the source code.